###############################################################
# Media Library
###############################################################

# Name/URL-Anteil der Kollektion
name: tags
uploadPath: ../media/tags

# Metaangaben zur Kollektion welche in der Admin-UI verwendet werden können
meta:
    # Navigationseintrag in der Admin-UI
    label: { de: "Tags / Labels", en: "Tags / Labels" }
    # Icon (Material UI) für den Navigationseintrag
    muiIcon: tag
    # Identifizierung eines Eintrags für z.B. Select-Boxen in der Admin-UI
    rowIdentTpl: { twig: "{{ path }}" }
    # Standardsortierung der Liste
    defaultSort: { field: "tag", order: "ASC" }
    # Admin-Backend Ansichten
    defaultImageFilter: s
    views:
        - type: table
          mediaQuery: "(min-width:0px)"
          columns:
              - name

imageFilter:
    xs:
        - fit: true
          height: 90
          width: 90
          resampling: lancos
          quality: 60
    s:
        - fit: true
          height: 300
          width: 300
          resampling: lancos
          quality: 60
    m:
        - fit: true
          height: 600
          width: 600
          resampling: lancos
          quality: 60
    l:
        - fit: true
          height: 1200
          width: 1200
          resampling: lancos
          quality: 60
    xl:
        - fit: true
          height: 2000
          width: 2000
          resampling: lancos
          quality: 60

permissions:
    public:
        methods:
            get: true
            post: false
            put: false
            delete: false
    user:
        methods:
            get: true
            post: false
            put: false
            delete: false
    # token als Zusatzsicherung gegen Spam, mehr siehe Hook
    "token:${PUBLIC_TOKEN}":
        methods:
            get: false
            post: false
            put: false
            delete: false

# Feldliste der Kollektion
fields:
    - name: name
      type: string
      meta:
          label: { de: "Name des Tags", en: "Tag Name" }
          filter: true
